| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Volume::Vertex Struct Reference
Optional Components » Volume

Lightweight struct to represent a mesh vertex. More...

`#include <OgreVolumeMeshBuilder.h>`

## Public Member Functions
| Vertex (const Vector3 &v, const Vector3 &n)
| Convenience constructor. More...
| Vertex ()

## Public Attributes
Real | nX
| X component of the normal. More...
Real | nY
| Y component of the normal. More...
Real | nZ
| Z component of the normal. More...
Real | x
| X coordinate of the position. More...
Real | y
| Y coordinate of the position. More...
Real | z
| Z coordinate of the position. More...

## Detailed Description

Lightweight struct to represent a mesh vertex.

## Constructor & Destructor Documentation

## ◆ Vertex() [1/2]

Ogre::Volume::Vertex::Vertex | ( | const Vector3 & | v,
|  | const Vector3 & | n
| ) |  |
| inline

Convenience constructor.

Parameters

  v | The vertex position.
  n | The vertex normal.

## ◆ Vertex() [2/2]

Ogre::Volume::Vertex::Vertex | ( |  | ) |
| inline

## Member Data Documentation

## ◆ x

Real Ogre::Volume::Vertex::x

X coordinate of the position.

## ◆ y

Real Ogre::Volume::Vertex::y

Y coordinate of the position.

## ◆ z

Real Ogre::Volume::Vertex::z

Z coordinate of the position.

## ◆ nX

Real Ogre::Volume::Vertex::nX

X component of the normal.

## ◆ nY

Real Ogre::Volume::Vertex::nY

Y component of the normal.

## ◆ nZ

Real Ogre::Volume::Vertex::nZ

Z component of the normal.

The documentation for this struct was generated from the following file:

- OgreVolumeMeshBuilder.h